curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/removal_templates \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/removal_templates"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/projects/{project_id}/removal_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"display_name": "<string>",
"groups": [
{
"components": [
{
"blueprint_key": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "rtc_1DAA58EDM1S0AMPN",
"inputs": [
{
"datapoint_id": "dtp_1DVKHKS101S0Q61Q",
"display_name": "<string>",
"input_key": "<string>",
"quantity_kind": "acidity",
"type": "fixed"
}
],
"removal_template_component_group_id": "rtg_1EGQ9DZXZ1S05S28",
"removal_template_id": "rvt_1EVC8RZFE1S0BAT6"
}
],
"description": "<string>",
"display_name": "<string>",
"id": "rtg_1EGQ9DZXZ1S05S28",
"key": "<string>"
}
],
"id": "rvt_1EVC8RZFE1S0BAT6",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"supplier_reference_id": "<string>"
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
},
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get Removal Templates
Lists all removal templates within the given project
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
Query Parameters
An integer number of items to retrieve before the item represented by the cursor passed in the before parameter. Defaults to 10 with a maximum value of 50.
x <= 50An opaque cursor representing the first item in the previously requested page to select items ordered before it. Submit the previously requested page’s start_cursor here when paginated backwards.
1An integer number of items to retrieve after the item represented by the cursor passed in the after parameter. Defaults to 10 with a maximum value of 50.
x <= 50An opaque cursor representing the last item in the previously requested page to select items ordered after it. Submit the previously requested page’s end_cursor here when paginated forwards.
1Was this page helpful?